Bug 1006116 - Review Request: WALinuxAgent - The Windows Azure Linux Agent
Review Request: WALinuxAgent - The Windows Azure Linux Agent
Status: CLOSED DUPLICATE of bug 1159660
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 00:17 EDT by Michael Hampton
Modified: 2015-07-21 08:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-30 09:17:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Hampton 2013-09-10 00:17:20 EDT
Spec URL: http://linux.ringingliberty.com/tmp/WALinuxAgent.spec
SRPM URL: http://linux.ringingliberty.com/tmp/WALinuxAgent-1.4.0-3.fc19.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5916363

Description: 
The Windows Azure Linux Agent supports the provisioning and running of Linux
VMs in the Windows Azure cloud and Microsoft System Center Virtual Machine
Manager private clouds. This package should be installed on Linux disk
images that are built to run in the Windows Azure or SCVMM environments.

Fedora Account System Username: error

Additional information:
This is my first package so I will need a sponsor.

I created this package as part of my work to use Fedora on Windows Azure. This package will assist users in running Fedora on Windows Azure, as well as SCVMM private clouds.

I've also created a public VHD which you can experiment with on Azure by adding it into your account as a virtual machine Image then creating a virtual machine using the image. It contains a previous build of this package but is still functionally identical.
http://ringingtest.blob.core.windows.net/vhds/Fedora19.vhd

Some additional work is necessary to automate cloud image builds for Azure; I plan to talk with the Cloud SIG about this at a later date.

This package generates some spurious rpmlint warnings related to the systemd unit file; I haven't figured out yet if those are a problem with rpmlint or the package, but I suspect rpmlint.

The package name is capitalized to match the upstream package name.
Comment 1 Christopher Meng 2013-09-10 00:47:42 EDT
1. URL is invalid.

I don't know why you point the URL to a redirect page of

https://github.com/windows-azure/walinuxagent

---> https://github.com/WindowsAzure/WALinuxAgent

Please change to this. Add Microshit link doesn't mean this is valid.

2. Requires:	python-pyasn1 openssh openssl util-linux sed grep sudo iptables

You don't need to add "util-linux sed grep sudo"

3. BuildRequires:	systemd python-setuptools

missing python2-devel

4. %setup -q -n %{name}-%{name}-%{version}		# github does this to tarballs

github never does this unless some people like this kind of naming way. If you can change it, I recommend "%{name}-%{version}" so you can use %setup -q without %{name}-%{version} or even this weird one "%{name}-%{name}-%{version}"

5. Nothing to build?

No python setup.py build?

6. python setup.py install --prefix=%{_prefix} --lnx-distro='redhat' --init-system='systemd' --root=%{buildroot}

should be 

{__python2} setup.py install --prefix=%{_prefix} --lnx-distro='redhat' --init-system='systemd' --root=%{buildroot}

7. %{buildroot}/%{_localstatedir}/log

you don't need to add slash between %{buildroot} and %{_localstatedir}

just %{buildroot}%{_localstatedir}/log as rpm -E %{_localstatedir} eq /var so if you add a slash the URI will be:

//var/log

8. %post preun postun section are all not perfect for f18+

Please check

http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

9. You should avoid using sth. like:

%defattr(0644,root,root,0755) and %attr(0755,root,root)

Make sure that these file perms are correct during installation, and correct the wrong ones after installation.
Comment 2 Michael Hampton 2013-09-10 01:42:23 EDT
Hi Christopher,

Thanks for your comments. I have addressed them as follows:

1. This was leftover from upstream. I fixed the URL.

2. This was leftover from upstream. I removed these from the spec file.

3. I added this in to the spec file.

4. The upstream tarball really does have this directory structure. You can download it for yourself and look :) The packaging guidelines said I'm not supposed to alter the tarball (except for patents or binaries in the tarball or other really bad stuff). So that's why this is here in %setup.

5. Upstream doesn't have any build function in their setup.py script. But I added this in anyway, just in case they start doing something later.

6. I have made this change in the spec file.

7. I have made this change in the spec file.

8. I have made these changes in the spec file.

9. I have made these changes in the spec file and manually verified all the permissions in the resulting build.

The resulting files can be found at:

Spec URL: http://linux.ringingliberty.com/tmp/WALinuxAgent.spec
SRPM URL: http://linux.ringingliberty.com/tmp/WALinuxAgent-1.4.0-4.fc19.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5916543

Thanks
Comment 3 Ralf Corsepius 2013-09-10 02:36:16 EDT
What's that (From your spec)?
...
%pre
# Nothing to do
true
...

Why is this present? Seems entirely superflous to me.
Comment 4 Michael Hampton 2013-09-10 12:16:41 EDT
(In reply to Ralf Corsepius from comment #3)
> What's that (From your spec)?
> ...
> %pre
> # Nothing to do
> true
> ...
> 
> Why is this present? Seems entirely superflous to me.

Yes, it's superfluous. It also came from upstream. I'd be happy to remove it if it's a problem.
Comment 5 Ralf Corsepius 2013-09-12 23:12:32 EDT
(In reply to Michael Hampton from comment #4)
> Yes, it's superfluous. It also came from upstream. I'd be happy to remove it
> if it's a problem.
Yes, please remove it. It's a latent source of errors.
Comment 6 Michael Hampton 2013-09-12 23:34:51 EDT
(In reply to Ralf Corsepius from comment #5)
> (In reply to Michael Hampton from comment #4)
> > Yes, it's superfluous. It also came from upstream. I'd be happy to remove it
> > if it's a problem.
> Yes, please remove it. It's a latent source of errors.

OK, this is now removed:

Spec URL: http://linux.ringingliberty.com/tmp/WALinuxAgent.spec
SRPM URL: http://linux.ringingliberty.com/tmp/WALinuxAgent-1.4.0-5.fc19.src.rpm
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5929997
Comment 7 Christopher Meng 2014-02-10 03:38:15 EST
Have you tried to find a sponsor?
Comment 8 Christopher Meng 2014-03-13 06:34:40 EDT
You need to find a sponsor initiatively:

https://admin.fedoraproject.org/accounts/group/members/packager/*/sponsor
Comment 9 Christopher Meng 2014-11-03 01:18:50 EST

*** This bug has been marked as a duplicate of bug 1159660 ***

Note You need to log in before you can comment on or make changes to this bug.